{
  lib,
  config,
  pkgs,
  outputs,
  ...
}: let
  inherit (lib) mkOption types;
in {
  imports = [
    ./apps
    ./base
    ./boot
    ./catppuccin
    ./containers
    ./hardware
    ./network
    ./timers
    ./users
    ./wm
  ];

  options = {
    horseman = {
      username = mkOption {type = types.str;};
      stateVersion = mkOption {type = types.str;};
    };
  };
}
